## fstrim 0.1

=== Makefile ===
CFLAGS=-std=c99 -Wall -pedantic -D_GNU_SOURCE

PROGRAM=fstrim
SRC=fstrim.c

ALL: $(PROGRAM)

$(PROGRAM): $(SRC)
	$(CC) $(CFLAGS) $(SRC) -o $@

clean:
	rm -rf *.o fstrim

=== debian/changelog ===
fstrim (0.1-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel@debian.org>  Sat, 13 Nov 2010 06:45:52 +0100

=== debian/control ===
Source: fstrim
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel@lists.debian-maintainers.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.1
Homepage: http://fstrim.sourceforge.net/
Vcs-Browser: http://git.debian-maintainers.org/?p=daniel/fstrim.git
Vcs-Git: git://git.debian-maintainers.org/git/daniel/fstrim.git

Package: fstrim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: discard parts or the whole filesystem with ATA TRIM
 This program uses FITRIM (merged in linux-2.6.36) ioctl to discard parts or the
 whole filesystem online (mounted). You can specify range (start and length) to
 be discarded, or simply discard while filesystem.

Package: fstrim-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, fstrim (= ${binary:Version})
Description: discard parts or the whole filesystem with ATA TRIM (debug)
 This program uses FITRIM (merged in linux-2.6.36) ioctl to discard parts or the
 whole filesystem online (mounted). You can specify range (start and length) to
 be discarded, or simply discard while filesystem.
 .
 This package contains the debugging symbols.

## fstrim 0.2

=== Makefile ===
--- 
+++ 
@@ -8,5 +8,13 @@
 $(PROGRAM): $(SRC)
 	$(CC) $(CFLAGS) $(SRC) -o $@
 
+archive: tar bzip
+
+tar:
+	git archive --format=tar --prefix=fstrim/ HEAD -o fstrim.tar
+
+bzip:
+	bzip2 fstrim.tar
+
 clean:
 	rm -rf *.o fstrim

=== debian/changelog ===
fstrim (0.2-2) experimental; urgency=low

  * Correcting typo in package long-description (Closes: #609051).

 -- Daniel Baumann <daniel@debian.org>  Thu, 06 Jan 2011 11:33:31 +0100

fstrim (0.2-1) experimental; urgency=low

  * Merging upstream version 0.2.
  * Switching to source format 3.0 (quilt).
  * Updating year in copyright file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Jan 2011 23:36:58 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Description: discard parts or the whole filesystem with ATA TRIM
  This program uses FITRIM (merged in linux-2.6.36) ioctl to discard parts or the
  whole filesystem online (mounted). You can specify range (start and length) to
- be discarded, or simply discard while filesystem.
+ be discarded, or simply discard the whole filesystem.
 
 Package: fstrim-dbg
 Section: debug
@@ -25,6 +25,6 @@
 Description: discard parts or the whole filesystem with ATA TRIM (debug)
  This program uses FITRIM (merged in linux-2.6.36) ioctl to discard parts or the
  whole filesystem online (mounted). You can specify range (start and length) to
- be discarded, or simply discard while filesystem.
+ be discarded, or simply discard the whole filesystem.
  .
  This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_strip:
	dh_strip --dbg-package=fstrim-dbg
